Installation and usage of the platform
REST API: validation of addresses and aliases of network participants¶
The following methods of the addresses group are provided for validating addresses and aliases on the network:
GET /addresses/validate/{addressOrAlias}¶
Validation of a given address (node or account) or its alias {addressOrAlias} on the blockchain network. The address is validated as a sequence of characters.
Response example for a valid address:
Response example for an invalid address:
POST /addresses/validateMany¶
Validation of multiple addresses or aliases passed to the addressesOrAliases field as an array. The information in the response for each address is identical to the GET /addresses/validate/{addressOrAlias} method response.
Examples of query and response for one address, one existing and one non-existing alias: